$default-diff: 22px;
$default-width: 100%;
$default-min: 20%;

.sp-card-stack {
  max-width: 450px;
  margin: 0 auto;
  height: 230px;
  position: relative;

  .buttons {
    position: absolute;
    //background: rgba(0, 0, 0, 0.46);
    //border: 2px solid rgba(255, 255, 255, 0.7);
    //border-radius: 50%;
    //width: 35px;
    //height: 35px;
    left: 0;
    top: 48%;
    //color: rgba(255, 255, 255, 0.7);
    //text-align: center;
    //line-height: 35px;
    //text-decoration: none;
    font-size: 22px;
    z-index: 200;
    outline: none;
    //transition: all 0.2s ease;

    &:hover {
      cursor: pointer;
    }
  }

  .prev {
    left: -15px;
    right: auto;
  }

  .next {
    left: auto;
    right: -15px;
  }

  .carousel .buttons:hover {
    color: #c01313;
    background: #fff;
  }

  .sp-card-list {
    width: 100%;

    li {
      transition: all 100ms ease-in-out;
      border-radius: 6px;
      position: absolute;
      list-style: none;
      height: 200px;
      -webkit-box-shadow: 0 2px 15px 1px rgba(225, 225, 225, 0.5);
      box-shadow: 0 1px 4px 1px rgba(0, 0, 0, 0.5);

      text-align: center;
      background-size: cover;
      width: 315px;
      margin: 15px 25px;

      &:nth-child(1) {
        right: 0;
        z-index: 100;
        top: 0;
      }

      &:nth-child(2) {
        transform: scale(0.9);
        right: 60px;
        top: 0;
        z-index: 99;
      }

      &:nth-child(3) {
        transform: scale(0.8);
        right: 120px;
        top: 0;
        z-index: 98;
        /* animation: scaleCard 100ms; */
      }

      &:nth-child(n + 4) {
        display: none;
      }
    }
  }

  &:hover {
    > .buttons.prev {
      display: block;
      animation: bounceInRight 200ms;
    }

    > .buttons.next {
      display: block;
      animation: bounceInLeft 200ms;
    }
  }
}

// Responsive style

@media (min-width: 1281px) and (max-width: 1550px) {
  .sp-card-stack {
    max-width: 300px !important;
    margin: 0 auto !important;
    height: 180px !important;

    .sp-card-list {
      li {
        margin: 0 !important;

        &:nth-child(1) {
          transform: scale(0.7) !important;
          margin-right: -25px !important;
        }

        &:nth-child(2) {
          transform: scale(0.6) !important;
          right: 10px !important;
          top: 0 !important;
        }

        &:nth-child(3) {
          transform: scale(0.5) !important;
          right: 40px !important;
          top: 0 !important;
        }
      }
    }
  }
}

@media (min-width: 992px) and (max-width: 1280px) {
  .sp-card-stack {
    max-width: 300px !important;
    margin: 0 auto !important;
    height: 180px !important;

    .sp-card-list {
      li {
        margin: 0 !important;

        &:nth-child(1) {
          transform: scale(0.7) !important;
          margin-right: -25px !important;
        }

        &:nth-child(2) {
          transform: scale(0.6) !important;
          right: 10px !important;
          top: 0 !important;
        }

        &:nth-child(3) {
          transform: scale(0.5) !important;
          right: 40px !important;
          top: 0 !important;
        }
      }
    }
  }
}

@media (min-width: 400px) and (max-width: 576px) {
  .sp-card-stack {
    max-width: 300px !important;
    margin: 0 auto !important;
    height: 180px !important;

    .sp-card-list {
      li {
        margin: 0 !important;

        &:nth-child(1) {
          transform: scale(0.7) !important;
          margin-right: -25px !important;
        }

        &:nth-child(2) {
          transform: scale(0.6) !important;
          right: 10px !important;
          top: 0 !important;
        }

        &:nth-child(3) {
          transform: scale(0.5) !important;
          right: 40px !important;
          top: 0 !important;
        }
      }
    }
  }
}

.transformThis {
  //animation: scaleUp 500ms;
  //display: none;
}

.transformPrev {
  //animation: scaleDown 100ms;
  //display: none;
}

@keyframes scaleUp {
  0% {
    transform: scale(1.2) translateX(20px);
    opacity: 0;
  }
  20% {
    transform: scale(1.15) translateX(20px);
    opacity: 0.1;
  }
  40% {
    transform: scale(1.1) translateX(20px);
    opacity: 0.2;
  }
  60% {
    transform: scale(1.05) translateX(10px);
    opacity: 0.4;
  }
  80% {
    transform: scale(1.01) translateX(10px);
    opacity: 0.8;
  }
  100% {
    transform: scale(1) translateX(0);
    opacity: 1;
  }
}

@keyframes scaleDown {
  0% {
    transform: scale(1) translateX(0);
    opacity: 1;
  }
  20% {
    transform: scale(1.01) translateX(1px);
    opacity: 0.8;
  }
  40% {
    transform: scale(1.05) translateX(2px);
    opacity: 0.4;
  }
  60% {
    transform: scale(1.1) translateX(3px);
    opacity: 0.2;
  }
  80% {
    transform: scale(1.15) translateX(4px);
    opacity: 0.1;
  }
  100% {
    transform: scale(1.2) translateX(5px);
    opacity: 0;
  }
}

@keyframes scaleCard {
  0% {
    top: 5px;
  }
  100% {
    top: 24px;
  }
}

@keyframes bounceInLeft {
  0% {
    opacity: 0;
    transform: translateY(-40px);
  }
  // 60% { opacity: 1; transform: translateX(20px); }
  // 80% { transform: translateX(20px); }
  100% {
    transform: translateY(0);
  }
}

@keyframes bounceInRight {
  0% {
    opacity: 0;
    transform: translateY(40px);
  }
  // 60% { opacity: 1; transform: translateX(-20px); }
  // 80% { transform: translateX(20px); }
  100% {
    transform: translateY(0);
  }
}
